Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.impersonation
Interface ImpersonationFilterChain

    public interface ImpersonationFilterChain

This interface is used to call the next element in the filter chain for impersonating a user. A reference is passed to the `com.ibm.portal.impersonation.ImpersonationFilter` SPI. If an implementation of this SPI calls this method, the corresponding method of the next ImpersonationFilter implementation as defined in the impersonation filter chain (as a property of the Portal Authentication Service) is called. NOTE: This API may only be used in the scope of an HTTP request in WebSphere Portal, i.e. within a theme. The API can not be invoked directly by a custom servlet.

Since:
  7.0

Method Summary
`void` | `doAfterEndImpersonate(HttpServletRequest req, HttpServletResponse resp, java.lang.String userID, FilterChainContext portalLoginContext)` Calls the login method of the next login filter in the filter chain for the explicit Portal login.
`void` | `doAfterImpersonate(HttpServletRequest req, HttpServletResponse resp, java.lang.String userID, FilterChainContext portalLoginContext)` Calls the login method of the next login filter in the filter chain for the explicit Portal login.

Method Detail

### doAfterImpersonate

    void doAfterImpersonate(HttpServletRequest req,
                            HttpServletResponse resp,
                            java.lang.String userID,
                            FilterChainContext portalLoginContext)

  Calls the login method of the next login filter in the filter chain for the explicit Portal login.

  Parameters:
    `req` - The servlet request.
    `resp` - The servlet response.
    `userID` - The user id of the user the login is performed for.
    `portalImpersonationContext` - A `FilterChainContext` object that can be used to share information between the impersonation filter implementations. it contains a `Boolean` value for the `LoginService.DO_RESUME_SESSION` property

### doAfterEndImpersonate

    void doAfterEndImpersonate(HttpServletRequest req,
                               HttpServletResponse resp,
                               java.lang.String userID,
                               FilterChainContext portalLoginContext)

  Calls the login method of the next login filter in the filter chain for the explicit Portal login.

  Parameters:
    `req` - The servlet request.
    `resp` - The servlet response.
    `userID` - The user id of the user the login is performed for.
    `portalImpersonationContext` - A `FilterChainContext` object that can be used to share information between the impersonation filter implementations. it contains a `Boolean` value for the `LoginService.DO_RESUME_SESSION` property

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD